summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2020-11-20 14:29:40 +0100
committer Willy Sudiarto Raharjo2020-11-21 19:14:17 +0100
commitff916d1b9313492d4f9bf0dadb56dbeb2f2540c6 (patch)
treeccc5b9ec02830af37a47f90ecc26355078435ef6
parent2c6182031bb3bdf1965914247103b255abbb8f62 (diff)
downloadslackbuilds-ff916d1b9313492d4f9bf0dadb56dbeb2f2540c6.tar.gz
system/hexec: Added (hook into exec calls)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/hexec/README12
-rw-r--r--system/hexec/hexec.SlackBuild82
-rw-r--r--system/hexec/hexec.info10
-rw-r--r--system/hexec/slack-desc19
4 files changed, 123 insertions, 0 deletions
diff --git a/system/hexec/README b/system/hexec/README
new file mode 100644
index 0000000000..c073d38384
--- /dev/null
+++ b/system/hexec/README
@@ -0,0 +1,12 @@
+hexec (hook into exec calls)
+
+hexec can be used to hook into exec system calls. It evaluates a user
+defined expression against all hooked exec calls. This expression can
+contain simple path checks (e.g. -path "*/name") and even complex bash
+scripts.
+
+As an example: hexec -name ls -exec echo {} \; bash
+
+This will run a shell, but any time you try to run "ls", you'll run
+"echo" instead. The syntax is similar to "find"; see the man page for
+details.
diff --git a/system/hexec/hexec.SlackBuild b/system/hexec/hexec.SlackBuild
new file mode 100644
index 0000000000..eebdeeefcd
--- /dev/null
+++ b/system/hexec/hexec.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for hexec
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=hexec
+VERSION=${VERSION:-0.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.orig.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# Why is this hardcoded in the configure script? It takes --libdir, but
+# doesn't use it for this...
+sed -i "s,/lib/$PRGNAM,/lib$LIBDIRSUFFIX/$PRGNAM," configure
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+gzip $PKG/usr/man/man?/*.?
+
+# NEWS and README are 0-byte placeholders. GNU thinks it can force
+# people to write documentation by requiring these files to exist...
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/hexec/hexec.info b/system/hexec/hexec.info
new file mode 100644
index 0000000000..38aa37ca5f
--- /dev/null
+++ b/system/hexec/hexec.info
@@ -0,0 +1,10 @@
+PRGNAM="hexec"
+VERSION="0.2.1"
+HOMEPAGE="https://packages.debian.org/sid/hexec"
+DOWNLOAD="http://deb.debian.org/debian/pool/main/h/hexec/hexec_0.2.1.orig.tar.gz"
+MD5SUM="ceec7e57107efecf10d943137b0f5180"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/hexec/slack-desc b/system/hexec/slack-desc
new file mode 100644
index 0000000000..ec51937b43
--- /dev/null
+++ b/system/hexec/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hexec: hexec (hook into exec calls)
+hexec:
+hexec: hexec can be used to hook into exec system calls. It evaluates a user
+hexec: defined expression against all hooked exec calls. This expression can
+hexec: contain simple path checks (e.g. -path "*/name") and even complex bash
+hexec: scripts.
+hexec:
+hexec:
+hexec:
+hexec:
+hexec: